=== debian/control ===
Source: shell-fm
Section: sound
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libmad0-dev, libao-dev, pkg-config
Standards-Version: 3.8.4
Homepage: http://nex.scrapping.cc/shell-fm/ 

Package: shell-fm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: zsh, python
Description: console based player for last.fm radio streams
 Shell.FM is a lightweight and interactive console based player 
 for last.fm radio streams (e.g. lastfm://globaltags/world)
 featuring proxy support and bookmarks saving.
 .
 You need an account in order to use this player, so please 
 consider create one for free before using Shell.FM at 
 http://last.fm. In some countries subscription fees may apply, 
 see Last.fm website for additional details.
